[CRIU] [PATCH 2/2] test/unix-callback: don't use the --shell-job optios

Andrey Vagin avagin at openvz.org
Mon Apr 27 04:59:54 PDT 2015


It isn't required here and Mr Jenkins can't execute this job.

Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
 test/unix-callback/run.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/test/unix-callback/run.sh b/test/unix-callback/run.sh
index 2d92be1..ec5b7f5 100755
--- a/test/unix-callback/run.sh
+++ b/test/unix-callback/run.sh
@@ -27,7 +27,7 @@ done
 
 pid=`cat pid`
 
-${CRIU} dump --shell-job -D data -o dump.log -v4 --lib `pwd`/lib -t $pid || exit 1
+${CRIU} dump -D data -o dump.log -v4 --lib `pwd`/lib -t $pid || exit 1
 kill $srv_pid
 wait $srv_pid
 unlink /tmp/criu.unix.callback.test
@@ -37,7 +37,7 @@ for i in `seq 20`; do
 	test -f /tmp/criu.unix.callback.test && break
 	sleep 0.1
 done
-${CRIU} restore --shell-job -D data -o restore.log -v4 --lib `pwd`/lib -d || exit 1
+${CRIU} restore -D data -o restore.log -v4 --lib `pwd`/lib -d || exit 1
 kill $pid
 while :; do
 	cat output | grep PASS && break
-- 
2.1.0



More information about the CRIU mailing list